[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.DeleteKey

Delete key

## Declaration

Source position: inifiles.pp line 245

`public procedure TIniFile.DeleteKey(`
`const Section: string;`
`const Ident: string`
`); override;`

## Arguments

`Section` |  | Section in which to delete key
`Ident` |  | Name of key to delete

## Description

DeleteKey deletes the Ident from the section Section. This operation is performed on the in-memory copy of the ini file. if CacheUpdates is False, then the file is immediately updated on disk.

## See also

CacheUpdates |  | Should changes be kept in memory